import React, {Component} from 'react'
import {inject, observer} from "mobx-react"
import css from './index.scss'
import DataUtil from '../../../../util/dateTime'
import Modal from 'react-modal-plugin'
// import Forward from '../../../forward/forward.js'
import Forward from 'kara-module-forward'
import 'kara-module-forward/lib/index.css'
import tost,{errorTost} from "kara-module-tost";
import 'kara-module-tost/lib/index.css'

@observer
class TxtComponent extends Component{
  constructor(props) {
    super(props)
    this.state = {
      showmodal: false,
      messageId: ''
    }
  }
  cancelFavorite = (id,type) => {
    this.props.httpAgent.post(`/webapi/message/favorite/${id}/no`).then(
      res => {
        if(res && res.resultCode && res.resultCode === '000000') {
          tost({type:'success',msg:'取消收藏成功',time:4}) 
          this.props.cancelImFavorite(id, type, this.props.fromPage)
        }
        else {
          tost({type:'error',msg:'取消收藏失败',time:4}) 
        }
      }
    )
  }
  modalShow = (id) => {
    this.setState({showmodal: true})
    this.setState({messageId: id})
  }
  modalHide = () => {
    this.setState({showmodal: false})
  }
  render(){
    const {lang} = this.props
    let fileAttr = this.props.fileAttr
    return (<div className={`s-b-secondary ${css.txtContainer}`}>
              <ul className={css.txtItem}>
                <li>
                  <div>
                    <p>{fileAttr.text}</p>
                  </div>
                </li>
                <li className='s-hint'>
                  <span>{lang.source}&nbsp;{fileAttr.fromUserName}</span>
                  <span>{DataUtil.DateShow(fileAttr.ts)}</span>
                  <span className={css.hoverShow} onClick={()=>{this.modalShow(fileAttr.messageId)}}><i className='kuc-iconfont kuc-forward'></i>&nbsp;{lang.forward}</span>
                  <span className={css.hoverShow} onClick={()=>{this.cancelFavorite(fileAttr.id,fileAttr.favoriteType)}}><i className='kuc-iconfont kuc-favorite s-primary'></i>&nbsp;取消收藏</span>
                </li>
              </ul>
              <Modal show={this.state.showmodal} onMask={this.modalHide}>
                <Forward httpAgent={this.props.httpAgent} modalHidden={this.modalHide} messageId={this.state.messageId} />
              </Modal>
            </div>
            )
  }
}

export default TxtComponent
